package com.ag.entity.account;


import java.util.Date;

public class FeeDetail {

  private String id;
  private String tenancyId;
  private String bussinessCode;
  private String feeGroupId;
  private String feeListId;
  private String tariffId;
  private String clientCode;
  private String clientName;
  private String clientDesc;
  private Double weight;
  private Double volume;
  private Double pieces;
  private Double quantity;
  private Double actualRate;
  private Double calcMoney;
  private Double derateMoney;
  private Double finalMoney;
  private Double discount;
  private Double stRate;
  private Double stMoney;
  private Integer paymentType;
  private String enteredFlag;
  private String itemCode;
  private String notes;
  private String currency;
  private String unitId;
  private String settleBy;
  private Date settleOn;
  private String invoiceId;
  private String invoiceNo;
  private Integer invoiceKind;
  private String contractId;
  private String contractName;
  private String checkFlag;
  private String checkName;
  private Date checkTime;
  private String invalidFlag;
  private String invalidBy;
  private Date invalidOn;
  private String createdBy;
  private Date createdOn;
  private String updatedBy;
  private Date updatedOn;
  private String payReceiveType;
  private String serialNo;
  private String jobCategoryCode;
  private Date jobFinishDate;
  private Integer enabled;
  private Date outTime;
  private Date inTime;
  private Integer payFlag;
  private Date settleTimeOn;
  private Date settleTimeEnd;
  private String manualNodes;
  private Integer derateDays;
  private Integer settleDays;
  private String invoiceType;
  private String settlementCode;
  private String originalItemName;
  private Integer calcDays;
  private String sourceItemCode;
  private String tariffNote;
  private String tariffDescription;
  private Integer settleStatus;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getTenancyId() {
    return tenancyId;
  }

  public void setTenancyId(String tenancyId) {
    this.tenancyId = tenancyId;
  }

  public String getBussinessCode() {
    return bussinessCode;
  }

  public void setBussinessCode(String bussinessCode) {
    this.bussinessCode = bussinessCode;
  }

  public String getFeeGroupId() {
    return feeGroupId;
  }

  public void setFeeGroupId(String feeGroupId) {
    this.feeGroupId = feeGroupId;
  }

  public String getFeeListId() {
    return feeListId;
  }

  public void setFeeListId(String feeListId) {
    this.feeListId = feeListId;
  }

  public String getTariffId() {
    return tariffId;
  }

  public void setTariffId(String tariffId) {
    this.tariffId = tariffId;
  }

  public String getClientCode() {
    return clientCode;
  }

  public void setClientCode(String clientCode) {
    this.clientCode = clientCode;
  }

  public String getClientName() {
    return clientName;
  }

  public void setClientName(String clientName) {
    this.clientName = clientName;
  }

  public String getClientDesc() {
    return clientDesc;
  }

  public void setClientDesc(String clientDesc) {
    this.clientDesc = clientDesc;
  }

  public Double getWeight() {
    return weight;
  }

  public void setWeight(Double weight) {
    this.weight = weight;
  }

  public Double getVolume() {
    return volume;
  }

  public void setVolume(Double volume) {
    this.volume = volume;
  }

  public Double getPieces() {
    return pieces;
  }

  public void setPieces(Double pieces) {
    this.pieces = pieces;
  }

  public Double getQuantity() {
    return quantity;
  }

  public void setQuantity(Double quantity) {
    this.quantity = quantity;
  }

  public Double getActualRate() {
    return actualRate;
  }

  public void setActualRate(Double actualRate) {
    this.actualRate = actualRate;
  }

  public Double getCalcMoney() {
    return calcMoney;
  }

  public void setCalcMoney(Double calcMoney) {
    this.calcMoney = calcMoney;
  }

  public Double getDerateMoney() {
    return derateMoney;
  }

  public void setDerateMoney(Double derateMoney) {
    this.derateMoney = derateMoney;
  }

  public Double getFinalMoney() {
    return finalMoney;
  }

  public void setFinalMoney(Double finalMoney) {
    this.finalMoney = finalMoney;
  }

  public Double getDiscount() {
    return discount;
  }

  public void setDiscount(Double discount) {
    this.discount = discount;
  }

  public Double getStRate() {
    return stRate;
  }

  public void setStRate(Double stRate) {
    this.stRate = stRate;
  }

  public Double getStMoney() {
    return stMoney;
  }

  public void setStMoney(Double stMoney) {
    this.stMoney = stMoney;
  }

  public Integer getPaymentType() {
    return paymentType;
  }

  public void setPaymentType(Integer paymentType) {
    this.paymentType = paymentType;
  }

  public String getEnteredFlag() {
    return enteredFlag;
  }

  public void setEnteredFlag(String enteredFlag) {
    this.enteredFlag = enteredFlag;
  }

  public String getItemCode() {
    return itemCode;
  }

  public void setItemCode(String itemCode) {
    this.itemCode = itemCode;
  }

  public String getNotes() {
    return notes;
  }

  public void setNotes(String notes) {
    this.notes = notes;
  }

  public String getCurrency() {
    return currency;
  }

  public void setCurrency(String currency) {
    this.currency = currency;
  }

  public String getUnitId() {
    return unitId;
  }

  public void setUnitId(String unitId) {
    this.unitId = unitId;
  }

  public String getSettleBy() {
    return settleBy;
  }

  public void setSettleBy(String settleBy) {
    this.settleBy = settleBy;
  }

  public Date getSettleOn() {
    return settleOn;
  }

  public void setSettleOn(Date settleOn) {
    this.settleOn = settleOn;
  }

  public String getInvoiceId() {
    return invoiceId;
  }

  public void setInvoiceId(String invoiceId) {
    this.invoiceId = invoiceId;
  }

  public String getInvoiceNo() {
    return invoiceNo;
  }

  public void setInvoiceNo(String invoiceNo) {
    this.invoiceNo = invoiceNo;
  }

  public Integer getInvoiceKind() {
    return invoiceKind;
  }

  public void setInvoiceKind(Integer invoiceKind) {
    this.invoiceKind = invoiceKind;
  }

  public String getContractId() {
    return contractId;
  }

  public void setContractId(String contractId) {
    this.contractId = contractId;
  }

  public String getContractName() {
    return contractName;
  }

  public void setContractName(String contractName) {
    this.contractName = contractName;
  }

  public String getCheckFlag() {
    return checkFlag;
  }

  public void setCheckFlag(String checkFlag) {
    this.checkFlag = checkFlag;
  }

  public String getCheckName() {
    return checkName;
  }

  public void setCheckName(String checkName) {
    this.checkName = checkName;
  }

  public Date getCheckTime() {
    return checkTime;
  }

  public void setCheckTime(Date checkTime) {
    this.checkTime = checkTime;
  }

  public String getInvalidFlag() {
    return invalidFlag;
  }

  public void setInvalidFlag(String invalidFlag) {
    this.invalidFlag = invalidFlag;
  }

  public String getInvalidBy() {
    return invalidBy;
  }

  public void setInvalidBy(String invalidBy) {
    this.invalidBy = invalidBy;
  }

  public Date getInvalidOn() {
    return invalidOn;
  }

  public void setInvalidOn(Date invalidOn) {
    this.invalidOn = invalidOn;
  }

  public String getCreatedBy() {
    return createdBy;
  }

  public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
  }

  public Date getCreatedOn() {
    return createdOn;
  }

  public void setCreatedOn(Date createdOn) {
    this.createdOn = createdOn;
  }

  public String getUpdatedBy() {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy) {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedOn() {
    return updatedOn;
  }

  public void setUpdatedOn(Date updatedOn) {
    this.updatedOn = updatedOn;
  }

  public String getPayReceiveType() {
    return payReceiveType;
  }

  public void setPayReceiveType(String payReceiveType) {
    this.payReceiveType = payReceiveType;
  }

  public String getSerialNo() {
    return serialNo;
  }

  public void setSerialNo(String serialNo) {
    this.serialNo = serialNo;
  }

  public String getJobCategoryCode() {
    return jobCategoryCode;
  }

  public void setJobCategoryCode(String jobCategoryCode) {
    this.jobCategoryCode = jobCategoryCode;
  }

  public Date getJobFinishDate() {
    return jobFinishDate;
  }

  public void setJobFinishDate(Date jobFinishDate) {
    this.jobFinishDate = jobFinishDate;
  }

  public Integer getEnabled() {
    return enabled;
  }

  public void setEnabled(Integer enabled) {
    this.enabled = enabled;
  }

  public Date getOutTime() {
    return outTime;
  }

  public void setOutTime(Date outTime) {
    this.outTime = outTime;
  }

  public Date getInTime() {
    return inTime;
  }

  public void setInTime(Date inTime) {
    this.inTime = inTime;
  }

  public Integer getPayFlag() {
    return payFlag;
  }

  public void setPayFlag(Integer payFlag) {
    this.payFlag = payFlag;
  }

  public Date getSettleTimeOn() {
    return settleTimeOn;
  }

  public void setSettleTimeOn(Date settleTimeOn) {
    this.settleTimeOn = settleTimeOn;
  }

  public Date getSettleTimeEnd() {
    return settleTimeEnd;
  }

  public void setSettleTimeEnd(Date settleTimeEnd) {
    this.settleTimeEnd = settleTimeEnd;
  }

  public String getManualNodes() {
    return manualNodes;
  }

  public void setManualNodes(String manualNodes) {
    this.manualNodes = manualNodes;
  }

  public Integer getDerateDays() {
    return derateDays;
  }

  public void setDerateDays(Integer derateDays) {
    this.derateDays = derateDays;
  }

  public Integer getSettleDays() {
    return settleDays;
  }

  public void setSettleDays(Integer settleDays) {
    this.settleDays = settleDays;
  }

  public String getInvoiceType() {
    return invoiceType;
  }

  public void setInvoiceType(String invoiceType) {
    this.invoiceType = invoiceType;
  }

  public String getSettlementCode() {
    return settlementCode;
  }

  public void setSettlementCode(String settlementCode) {
    this.settlementCode = settlementCode;
  }

  public String getOriginalItemName() {
    return originalItemName;
  }

  public void setOriginalItemName(String originalItemName) {
    this.originalItemName = originalItemName;
  }

  public Integer getCalcDays() {
    return calcDays;
  }

  public void setCalcDays(Integer calcDays) {
    this.calcDays = calcDays;
  }

  public String getSourceItemCode() {
    return sourceItemCode;
  }

  public void setSourceItemCode(String sourceItemCode) {
    this.sourceItemCode = sourceItemCode;
  }

  public String getTariffNote() {
    return tariffNote;
  }

  public void setTariffNote(String tariffNote) {
    this.tariffNote = tariffNote;
  }

  public String getTariffDescription() {
    return tariffDescription;
  }

  public void setTariffDescription(String tariffDescription) {
    this.tariffDescription = tariffDescription;
  }

  public Integer getSettleStatus() {
    return settleStatus;
  }

  public void setSettleStatus(Integer settleStatus) {
    this.settleStatus = settleStatus;
  }
}
